Subject: Re: bug#33870: 27.0.50; xref-goto-xref not configurable

From: Juri Linkov <[email-masked]>
Date: Sun, 13 Jan 2019 23:32:43 +0200

> I know.  But I have this idea of providing

I agree this is a good idea.

> - one function that catches all cases

Like we already have such functions as window-in-direction and
windmove-display-in-direction, the new function could have a similar name
display-buffer-in-direction.

> - with one nomenclature for a reference window

For clarity the alist entry name could include the word "window":

(window . selected)
(window . main)
(window . <window_object>)

But for disambiguation maybe also add some prefix like

direction-window
from-window
etc.

> - and one nomenclature for the direction wrt the reference window.

Ok, like (direction . up) and all aliases.